Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmTopLevelShell.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmTopLevelShell.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmTopLevelShell.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmTopLevelShell.hh,v 1.6 2006/06/29 21:18:42 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetComponent.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetComponent.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetComponent.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmVWidgetComponent.hh,v 1.6 2006/06/29 21:18:44 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetContainer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetContainer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetContainer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmVWidgetContainer.hh,v 1.6 2006/06/29 21:18:46 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetObject.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetObject.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetObject.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmVWidgetObject.hh,v 1.6 2006/06/29 21:18:48 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetShell.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetShell.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmVWidgetShell.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmVWidgetShell.hh,v 1.6 2006/06/29 21:18:50 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmViewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmViewer.hh,v 1.10 2006/06/29 21:18:52 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmViewerMessenger.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmViewerMessenger.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmViewerMessenger.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmViewerMessenger.hh,v 1.4 2006/06/29 21:18:54 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 #ifdef G4VIS_BUILD_OPENGLXM_DRIVER
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLFontBaseStore.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLFontBaseStore.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLFontBaseStore.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLFontBaseStore.cc,v 1.3 2006/06/29 21:18:56 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateQt.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateQt.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateQt.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateQt.cc,v 1.11 2007/06/24 12:07:19 $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLImmediateQt.cc,v 1.1 2007/09/28 14:44:13 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateQtViewer.cc,v 1.16 2007/06/25 16:38:13 $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLImmediateQtViewer.cc,v 1.1 2007/09/28 14:44:13 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateSceneHandler.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateSceneHandler.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateSceneHandler.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateSceneHandler.cc,v 1.24 2006/09/04 12:03:25 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLImmediateSceneHandler.cc,v 1.27 2007/04/04 16:50:26 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -47,10 +47,14 @@
 #include "G4OpenGLTransform3D.hh"
 #include "G4Polyline.hh"
+#include "G4Polymarker.hh"
+#include "G4Text.hh"
 #include "G4Circle.hh"
 #include "G4Square.hh"
-
-G4OpenGLImmediateSceneHandler::G4OpenGLImmediateSceneHandler (G4VGraphicsSystem& system,
-						const G4String& name):
-G4OpenGLSceneHandler (system, fSceneIdCount++, name)
+#include "G4Scale.hh"
+#include "G4Polyhedron.hh"
+
+G4OpenGLImmediateSceneHandler::G4OpenGLImmediateSceneHandler
+(G4VGraphicsSystem& system,const G4String& name):
+  G4OpenGLSceneHandler (system, fSceneIdCount++, name)
 {}
 
@@ -62,4 +66,9 @@
 void G4OpenGLImmediateSceneHandler::AddPrimitivePreamble(const G4Visible& visible)
 {
+  if (fpViewer->GetViewParameters().IsPicking()) {
+    glLoadName(++fPickName);
+    fPickMap[fPickName] = 0;
+  }
+
   const G4Colour& c = GetColour (visible);
   glColor3d (c.GetRed (), c.GetGreen (), c.GetBlue ());
@@ -72,4 +81,18 @@
 }
 
+void G4OpenGLImmediateSceneHandler::AddPrimitive (const G4Polymarker& polymarker)
+{
+  AddPrimitivePreamble(polymarker);
+  G4OpenGLSceneHandler::AddPrimitive(polymarker);
+}
+
+void G4OpenGLImmediateSceneHandler::AddPrimitive (const G4Text& text)
+{
+  // Note: colour is still handled in
+  // G4OpenGLSceneHandler::AddPrimitive(const G4Text&).
+  AddPrimitivePreamble(text);
+  G4OpenGLSceneHandler::AddPrimitive(text);
+}
+
 void G4OpenGLImmediateSceneHandler::AddPrimitive (const G4Circle& circle)
 {
@@ -84,7 +107,29 @@
 }
 
+void G4OpenGLImmediateSceneHandler::AddPrimitive (const G4Scale& scale)
+{
+  AddPrimitivePreamble(scale);
+  G4OpenGLSceneHandler::AddPrimitive(scale);
+}
+
+void G4OpenGLImmediateSceneHandler::AddPrimitive (const G4Polyhedron& polyhedron)
+{
+  // Note: colour is still handled in
+  // G4OpenGLSceneHandler::AddPrimitive(const G4Polyhedron&).
+  AddPrimitivePreamble(polyhedron);
+  G4OpenGLSceneHandler::AddPrimitive(polyhedron);
+}
+
+void G4OpenGLImmediateSceneHandler::AddPrimitive (const G4NURBS& nurbs)
+{
+  // Note: colour is still handled in
+  // G4OpenGLSceneHandler::AddPrimitive(const G4NURBS&).
+  AddPrimitivePreamble(nurbs);
+  G4OpenGLSceneHandler::AddPrimitive(nurbs);
+}
+
 void G4OpenGLImmediateSceneHandler::BeginPrimitives
 (const G4Transform3D& objectTransformation) {
-  G4VSceneHandler::BeginPrimitives (objectTransformation);
+  G4OpenGLSceneHandler::BeginPrimitives (objectTransformation);
   glPushMatrix();
   G4OpenGLTransform3D oglt (objectTransformation);
@@ -110,10 +155,10 @@
   glFlush ();
 
-  G4VSceneHandler::EndPrimitives ();
+  G4OpenGLSceneHandler::EndPrimitives ();
 }
 
 void G4OpenGLImmediateSceneHandler::BeginPrimitives2D()
 {
-  G4VSceneHandler::BeginPrimitives2D();
+  G4OpenGLSceneHandler::BeginPrimitives2D();
 
   // Push current 3D world matrices and load identity to define screen
@@ -122,5 +167,5 @@
   glPushMatrix();
   glLoadIdentity();
-  glOrtho (-1., 1., -1., 1., -DBL_MAX, DBL_MAX);
+  glOrtho (-1., 1., -1., 1., -G4OPENGL_DBL_MAX, G4OPENGL_DBL_MAX);
   glMatrixMode (GL_MODELVIEW);
   glPushMatrix();
@@ -139,5 +184,5 @@
   glFlush ();
 
-  G4VSceneHandler::EndPrimitives2D ();
+  G4OpenGLSceneHandler::EndPrimitives2D ();
 }
 
@@ -151,5 +196,7 @@
 
 void G4OpenGLImmediateSceneHandler::ClearTransientStore () {
+
   G4VSceneHandler::ClearTransientStore ();
+
   // Make sure screen corresponds to graphical database...
   if (fpViewer) {
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateViewer.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateViewer.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateViewer.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateViewer.cc,v 1.8 2006/09/04 12:07:59 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateWin32.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateWin32.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateWin32.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateWin32.cc,v 1.11 2006/08/14 12:07:19 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateWin32Viewer.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateWin32Viewer.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateWin32Viewer.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateWin32Viewer.cc,v 1.16 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateX.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateX.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateX.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateX.cc,v 1.12 2006/08/14 12:07:19 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLImmediateX.cc,v 1.13 2007/08/21 14:05:51 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -41,5 +41,4 @@
 #include "G4OpenGLImmediateXViewer.hh"
 #include "G4OpenGLViewerMessenger.hh"
-#include "G4OpenGLXViewerMessenger.hh"
 
 G4OpenGLImmediateX::G4OpenGLImmediateX ():
@@ -50,5 +49,4 @@
 {
   G4OpenGLViewerMessenger::GetInstance();
-  G4OpenGLXViewerMessenger::GetInstance();
 }
 
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateXViewer.cc,v 1.16 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateXm.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateXm.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateXm.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateXm.cc,v 1.13 2006/08/14 12:07:19 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateXmViewer.cc,v 1.17 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLQtExportDialog.cc,v 0.1 2007/09/20 15:18:20 garnier $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLQtExportDialog.cc,v 1.2 2007/11/08 17:00:51 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -34,15 +34,15 @@
 #include "G4OpenGLQtExportDialog.hh"
 
-#include <qvariant.h>
-#include <qpushbutton.h>
-#include <qcheckbox.h>
-#include <qlabel.h>
-#include <qcombobox.h>
-#include <qslider.h>
-#include <qlayout.h>
-#include <qgroupbox.h>
-#include <qradiobutton.h>
-#include <qimage.h>
-#include <qlineedit.h>
+#include <QtCore/QVariant.h>
+#include <QtGui/QPushButton.h>
+#include <QtGui/QCheckBox.h>
+#include <QtGui/QLabel.h>
+#include <QtGui/QComboBox.h>
+#include <QtGui/QSlider.h>
+#include <QtGui/QLayout.h>
+#include <QtGui/QGroupBox.h>
+#include <QtGui/QRadioButton.h>
+#include <QtGui/QImage.h>
+#include <QtGui/QLineEdit.h>
 
 G4OpenGLQtExportDialog::G4OpenGLQtExportDialog(
@@ -57,4 +57,11 @@
   originalWidth = aWidth;
   originalHeight = aHeight;
+
+  // Initializations
+  qualitySlider = NULL;
+  width = NULL;
+  height = NULL;
+  colorButton = NULL;
+  BWButton = NULL;
 
   // global layout
@@ -95,13 +102,13 @@
     //    transparencyEPS->setChecked( true );
 
-    color = new QRadioButton("Color");
-    BW = new QRadioButton("Grayscale");
-    color->setChecked( true );
-    BW->setChecked( false );
+    colorButton = new QRadioButton("Color");
+    BWButton = new QRadioButton("Grayscale");
+    colorButton->setChecked( true );
+    BWButton->setChecked( false );
 
 
     //    EPSGroupBoxLayout->addWidget(transparencyEPS);    
-    EPSGroupBoxLayout->addWidget(color);    
-    EPSGroupBoxLayout->addWidget(BW);    
+    EPSGroupBoxLayout->addWidget(colorButton);    
+    EPSGroupBoxLayout->addWidget(BWButton);    
     EPSGroupBox->setLayout(EPSGroupBoxLayout);
     globalVLayout->addWidget(EPSGroupBox);
@@ -217,4 +224,5 @@
 int G4OpenGLQtExportDialog::getSliderValue()
 {
+  if (!qualitySlider) return -1;
   return qualitySlider->value();
 }
@@ -222,4 +230,5 @@
 int G4OpenGLQtExportDialog::getHeight()
 {
+  if (!height) return -1;
   return height->text().toInt();
 }
@@ -227,9 +236,11 @@
 int G4OpenGLQtExportDialog::getWidth()
 {
+  if (!width) return -1;
   return width->text().toInt();
 }
 
-int G4OpenGLQtExportDialog::getTransparency()
-{
+bool G4OpenGLQtExportDialog::getTransparency()
+{
+  if (!boxTransparency) return -1;
   return boxTransparency->isChecked();
 }
@@ -238,5 +249,5 @@
 {
   // Black and white
-  if (!color->isChecked())
+  if (!colorButton->isChecked())
     return 1;
   // rgb color
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLQtViewer.cc,v 1.17 2006/06/29 21:19:36 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4OpenGLQtViewer.cc,v 1.3 2007/11/08 17:00:51 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -50,12 +50,19 @@
 #include "G4UIsession.hh"
 #include "G4UImanager.hh"
-#include <QtGui/qboxlayout.h>
-#include <QtGui/qdialog.h>
-#include <QtGui/qmenu.h>
-#include <QImageWriter>
-#include <QMessageBox>
-#include <QFileDialog.h>
-#include <QPrinter.h>
-#include <QPainter.h>
+#include <QtGui/QApplication.h>
+#include <QtGui/QBoxLayout.h>
+#include <QtGui/QDialog.h>
+#include <QtGui/QMenu.h>
+#include <QtGui/QImageWriter>
+#include <QtGui/QMessageBox>
+#include <QtGui/QFileDialog.h>
+#include <QtGui/QPrinter.h>
+#include <QtGui/QPainter.h>
+#include <QtOpenGL/QGLWidget>
+#include <QtGui/QDialog>
+#include <QtGui/QContextMenuEvent>
+#include <QtGui/QMenu>
+#include <QtGui/QImage>
+
 
 //////////////////////////////////////////////////////////////////////////////
@@ -683,18 +690,22 @@
   G4OpenGLQtExportDialog* exportDialog= new G4OpenGLQtExportDialog(GLWindow,nomFich,fWindow->height(),fWindow->width());
   if(  exportDialog->exec()) {
-    
-    printf("rescaling before\n");
-    //    QPixmap * pixmap = new QPixmap(fWindow->renderPixmap (exportDialog->getWidth(),exportDialog->getHeight() )) ;
-    QImage image = fWindow->grabFrameBuffer();
-    printf("rescaling after\n");
+
+    QImage image;
+    //    if ((exportDialog->getWidth() !=fWindow->width()) ||
+    //        (exportDialog->getHeight() !=fWindow->height())) {
       
-    
-    if ((exportDialog->getWidth() !=fWindow->width()) ||
-         (exportDialog->getWidth() !=fWindow->width())) {
-
       //      rescaleImage(exportDialog->getWidth(),exportDialog->getHeight());// re-scale image
       printf("rescaling\n");
-    }
-    
+      QGLWidget* glResized = fWindow;
+      fWindow->renderPixmap (exportDialog->getWidth()*2,exportDialog->getHeight()*2 ).save("/Users/laurentgarnier/Desktop/zzz.jpg","jpg");
+      QPixmap * pixmap = new QPixmap(fWindow->renderPixmap (exportDialog->getWidth(),exportDialog->getHeight() )) ;
+      //      image = pixmap.toImage();
+      //      glResized->resize(exportDialog->getWidth()*2,exportDialog->getHeight()*2);
+      printf("rescaling after\n");
+      //      image = glResized->grabFrameBuffer();
+      
+      //    } else {
+      // image = fWindow->grabFrameBuffer();
+      //  }    
     // jpeg format
     if (nomFich.endsWith(".jpg") || 
